package com.interpress_project.modernshare.orb;

import com.interpress_project.modernshare.orb.generated.MdsClientInfo;

@SuppressWarnings("serial")
public class MdsClientInfoImpl extends MdsClientInfo {
	/**
	 * MdsClientInfoImpl
	 */
	public MdsClientInfoImpl() {
	}

	/**
	 * MdsClientInfoImpl
	 * @param account
	 * @param clientid
	 * @param xmldata
	 */
	public MdsClientInfoImpl(String account, String clientid, String xmldata) {
		this.account = account;
		this.clientid = clientid;
		this.xmldata = xmldata;
	}

	/**
	 * getStrdata
	 */
	@Override
	public String getXMLdata() {
		return this.xmldata;
	}

	/**
	 * getClientId
	 */
	@Override
	public String getClientId() {
		return this.clientid;
	}

	/**
	 * getAccount
	 */
	@Override
	public String getAccount() {
		return this.account;
	}
}
